%{?nodejs_find_provides_and_requires}

# no tap? no problem
%global bootstrap 0

Name:           nodejs-optimist
Version:        0.6.1
Release:        %mkrel 1
Group:          Development/Other
Summary:        Light-weight option parsing for Node.js
BuildArch:      noarch

# no license file included; package.json says "MIT/X11"
License:        MIT/X11
URL:            https://github.com/substack/node-optimist
Source0:        https://registry.npmjs.org/optimist/-/optimist-%{version}.tgz
Patch0:         fix-tests.patch

BuildRequires:  nodejs-packaging

%if !0%{?bootstrap}
BuildRequires:  npm(tap)
BuildRequires:  npm(hashish)
BuildRequires:  npm(wordwrap)
%endif

%description
Light-weight option parsing with an argv hash. No optstrings attached.

%prep
%setup -q -n package
%patch0 -p0

%nodejs_fixdep wordwrap
%nodejs_fixdep minimist

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/optimist
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/optimist

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if !0%{?bootstrap}
tap test/*.js
%endif

%files
%{nodejs_sitelib}/optimist
%doc readme.markdown example
%license LICENSE



%changelog
* Wed May 17 2017 neoclust <neoclust> 0.6.1-1.mga6
+ Revision: 1102423
- New version 0.6.1

* Mon Feb 08 2016 umeabot <umeabot> 0.4.0-3.mga6
+ Revision: 944729
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0-2.mga5
+ Revision: 742084
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.4.0-1.mga5
+ Revision: 726839
- imported package nodejs-optimist


* Sat Sep 27 2014 Thierry Vignaud <tv@mageia.org> 0.4.0-1.mga5
- import from FC

* Mon Apr 15 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.4.0-1
- new upstream release 0.4.0

* Fri Jan 18 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.3.5-1
- initial package generated by npm2rpm
